Bug 74524 - libsafe should be installed by default on Red Hat Linux
Summary: libsafe should be installed by default on Red Hat Linux
Status: CLOSED DUPLICATE of bug 72196
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-25 23:07 UTC by brian medley
Modified: 2016-11-24 14:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-07 10:14:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description brian medley 2002-09-25 23:07:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
libsafe is a library that detects buffer overflows and similar bugs in software.
 It does this by not requiring any modification to the operating system and
works with existing binary programs. Its method does not require access to the
source code of defective programs, nor does it require recompilation or off-line
processing of binaries. Furthermore, it can be implemented on a system-wide
basis transparently.  The source code to  libsafe version 2.0 is available under
the GNU Lesser General Public License.  It can be downloaded from
http://www.research.avayalabs.com/project/libsafe/

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download software.
2.Install.
3.Watch buffer overflows become minimized.
	

Actual Results:  Been running version 2.0 with RH 7.3 and haven't had any problems.

Additional info:

I didn't see where to post feature enhancements, so I used bugzilla.  I hope it
doesn't cause too much of a problem.

Comment 1 Need Real Name 2002-10-07 10:14:45 UTC
Not a good idea.  Checkinstall doesn't work anymore with libsafe.

Cheers
Tycho

Comment 2 Bill Nottingham 2002-10-08 02:33:09 UTC

*** This bug has been marked as a duplicate of 72196 ***


Note You need to log in before you can comment on or make changes to this bug.